;-| Button Remapping |-----------------------------------------------------
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15
; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1
buffer.time = 1

[Command]
name = "b"
command = b
time = 1
buffer.time = 1

[Command]
name = "c"
command = c
time = 1
buffer.time = 1

[Command]
name = "x"
command = x
time = 1
buffer.time = 1

[Command]
name = "y"
command = y
time = 1
buffer.time = 1

[Command]
name = "z"
command = z
time = 1
buffer.time = 1

[Command]
name = "start"
command = s
time = 1
buffer.time = 1

[Command]
name = "charge"
command = /$c
time = 1
buffer.time = 1

[Command]
name = "up" ;Required (do not remove)
command = U
time = 1
buffer.time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = "hold_a"
command = /a
time = 1
buffer.time = 1
[Command]
name = "hold_b"
command = /b
time = 1
buffer.time = 1
[Command]
name = "hold_c"
command = /c
time = 1
buffer.time = 1

[Command]
name = "hold_x"
command = /x
time = 1
buffer.time = 1

[Command]
name = "hold_y"
command = /y
time = 1
buffer.time = 1

[Command]
name = "hold_z"
command = /z
time = 1
buffer.time = 1

[Command]
name = "hold_start"
command = /s
time = 1
buffer.time = 1

;-| Super Desperation Move Motions |--------------------------------------------------
;-| Desperation Move Motions |--------------------------------------------------------
[Command]
name = "2hcb"
command = ~F, $D, B, F, $D, B
time = 37
[Command]
name = "2hcf"
command = ~B, $D, F, B, $D, F
time = 37

[Command]
name = "qcfhcb"
command = ~D, F, $D, B
time = 24;33
[Command]
name = "qcbhcf"
command = ~D, B, $D, F
time = 24;33

[Command]
name = "2qcf"
command = ~D, DF, F, D, DF, F
time = 21;34
[Command]
name = "2qcb"
command = ~D, DB, B, D, DB, B
time = 21;34

;-| Special Motions |------------------------------------------------------
[Command]
name = "dp"
command = ~F, D, DF
time = 12;18
[Command]
name = "rdp"
command = ~B, D, DB
time = 12;18
[Command]
name = "relf"
command = ~$F
time = 1
buffer.time = 8
[Command]
name = "relb"
command = ~$B
time = 1
buffer.time = 8
[Command]
name = "reld"
command = ~D
time = 1
buffer.time = 8

[Command]
name = "qcf"
command = ~D, DF, F
time = 21
[Command]
name = "qcb"
command = ~D, DB, B
time = 21

[Command]
name = "hcf"
command = ~B, $D, F
time = 22
[Command]
name = "hcb"
command = ~F, $D, B
time = 22

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF2"     ;Required (do not remove)
command = ~F, F
time = 5
buffer.time = 3
[Command]
name = "FF"     ;Required (do not remove)
command = ~F, >F
time = 5
buffer.time = 3

[Command]
name = "BB"     ;Required (do not remove)
command = ~B, >B
time = 5
buffer.time = 3

[Command]
name = "hop"
command = ~D,D
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "charge";Required (do not remove)
command = x+y+a
time = 10

[Command]
name = "recovery";Required (do not remove)
command = x+a
time = 1

[Command]
name = "recovery";Required (do not remove)
command = c
time = 1

[Command]
name = "roll"
command = x+a
time = 3

[Command]
name = "knock"
command = y+b
time = 10

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "hijump"
command = ~$D, $U
time = 18

[Command]
name = "ChargedDU"
command = ~13$D, $U
time = 30

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| CPU |--------------------------------------------------------------
; Note that if you make any changes to the basic one-button or recovery
; commands, you'll need to make the same changes to their matching commands here
; and/or in the XOR VarSet controller.  That includes things like, for example:
;  * changing the recovery command to use a different combination of buttons.
;  * renaming the b button command as "d", or the start button command as "s".
;  * switching the button names around, e.g. so button y triggers "a" and button a triggers "y".
;  * having more than one way to trigger the same command name.
; If you understand how the XOR method works, the proper changes should be obvious.
; If you don't understand it, then simply disable the lines in the XOR VarSet
; controller that correspond to the commands you've altered.

[Command]
name = "a2"
command = a
time = 1
buffer.time = 3

[Command]
name = "b2"
command = b
time = 1
buffer.time = 3

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1
buffer.time = 3

[Command]
name = "y2"
command = y
time = 1
buffer.time = 3

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "hold_a2"
command = /a
time = 1

[Command]
name = "hold_b2"
command = /b
time = 1

[Command]
name = "hold_c2"
command = /c
time = 1

[Command]
name = "hold_x2"
command = /x
time = 1

[Command]
name = "hold_y2"
command = /y
time = 1

[Command]
name = "hold_z2"
command = /z
time = 1

[Command]
name = "hold_start2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+a
time = 1

[Command]
name = "recovery2";Required (do not remove)
command = c
time = 1
;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.

[Statedef -1]

[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741

[State -1, AI Helper Check 2]
type = ChangeState
trigger1 = IsHelper(9742)
value = 9742

[State esp]
Type = Helper
Trigger1 = !NumHelper(999999)
helperType = normal
name = "command check - head.pos"
ID = 999999
pos = 0,0
posType = p1
facing = 1
StateNo = 999999
keyctrl = 1
ownpal = 1
supermoveTime = 65535
pausemoveTime = 65535
size.xscale = 1
size.yscale = 1
size.ground.back = 21
size.ground.front = 14
size.air.back = 16
size.air.front = 18
size.height = 1
size.proj.doscale = 1
size.head.pos = -6,-5
size.mid.pos = -5,-62

;MAX Into: Ryuuga, Hien Ryuujin Kyaku
;MAX out of: C.Uraken, Koukyaku Geri, Ryuuga (1), Gen'ei Kyaku (Final), Renbu Kyaku (1~3)

[State -3, MAX CANCEL PALFX]
type = VarAdd
trigger1 = var(50)
var(50) = -1
ignorehitpause = 1
[State -3, MAX CANCELS]
type = VarSet
trigger1 = 1
var(53) = 0
[State -3, MAX CANCELS]
type = VarSet
triggerall = var(51) ;MAX On
trigger1 = stateno = [200,599] ;Non aerial basic moves
trigger2 = stateno = [600,749] ;Aerial basic moves
trigger2 = movecontact
trigger3 = stateno = [800,899] ;Command moves
trigger3 = movecontact = 1
trigger4 = stateno = 980 ;CD Attack
trigger5 = stateno = 990 ;Air CD Attack
trigger5 = movecontact
;MAX out of moves:
trigger6 = stateno = [1300,1399] ;All Aragami
trigger6 = movecontact = 1
trigger7 = stateno = [1400,1401] ;Dokugami, Tsumi Yomi
trigger7 = movecontact = 1
var(53) = 1
ignorehitpause = 1

;===========================================================================
;Computer Controlled Behavior
;---------------------------------------------------------------------------
;===========================================================================
;Player Controlled Behavior
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;524 Shiki: Kami Gomi (MAX2)
[State -1,524 Shiki: Kami Gomi (MAX2)]
type = ChangeState
value = 3300
triggerall = RoundState < 3
triggerall = statetype != A
triggerall = numhelper(10371)
triggerall = helper(10371), var(42)
triggerall = helper(10371), fvar(1)<=4
triggerall = helper(10371), var(17)
triggerall = (power >= 3000) || (life <= 300) && (power >= 1000 && var(51)) && var(33) || (power >= 2000) && var(51)
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;---------------------------------------------------------------------------
;Saishuu Kessen Ougi "Mu Shiki"
[State -1,Saishuu Kessen Ougi "Mu Shiki"]
type = ChangeState
value = 3200
triggerall = RoundState < 3
triggerall = statetype != A
triggerall = numhelper(10371)
triggerall = helper(10371),var(17)
triggerall = ifelse((Anim!=[5,6]),command="2qcf",command="2qcb")
triggerall = (helper(10371),command != "holddown")
triggerall = ifelse((Anim!=[5,6]),(command != "holdback"),(command!="holdfwd"))
triggerall = (power >= 2000 && !var(33)) || (power >= 3000 && var(33) && !var(51)) ||  (power >= 1000 && var(33) && var(51))
trigger1 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;Special moves cancelable into DMs and SDMs
trigger11 = stateno = 1000 && movecontact && movetype = A 
trigger11 = (fvar(5) >= 1000 && !var(33)) || (power >= 2000 && var(33)) || (var(33) && var(51))
trigger12 = stateno = 1314 && movecontact && movetype = A 
trigger12 = (fvar(5) >= 1000 && !var(33)) || (power >= 2000 && var(33)) || (var(33) && var(51))
;MAX cancels
trigger13 = var(53) 
;---------------------------------------------------------------------------
;Saishuu Kessen Ougi "Mu Shiki"
[State -1,Saishuu Kessen Ougi "Mu Shiki"]
type = ChangeState
value = 3200
triggerall = RoundState < 3
triggerall = statetype != A
triggerall = numhelper(10371)
triggerall = helper(10371), var(41)
triggerall = helper(10371), fvar(1)<=4
triggerall = helper(10371), var(17)
triggerall = (power >= 2000 && !var(33)) || (power >= 3000 && var(33) && !var(51)) ||  (power >= 1000 && var(33) && var(51))
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;Special moves cancelable into DMs and SDMs
trigger11 = stateno = 1000 && movecontact && movetype = A 
trigger11 = (fvar(5) >= 1000 && !var(33)) || (power >= 2000 && var(33)) || (var(33) && var(51))
trigger12 = stateno = 1314 && movecontact && movetype = A 
trigger12 = (fvar(5) >= 1000 && !var(33)) || (power >= 2000 && var(33)) || (var(33) && var(51))
;MAX cancels
trigger13 = var(53) 
;---------------------------------------------------------------------------
;Ura 108 Shiki: Orochi Nagi
[State -1, Ura 108 Shiki: Orochi Nagi]
type = ChangeState
value = 3000
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(40)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371), var(0) = [1,3]) || (helper(10371), var(1) = [1,3]) 
triggerall = (power >= 1000 || var(51))
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;Special moves cancelable into DMs and SDMs
trigger11 = stateno = 1000 && movecontact && movetype = A 
trigger11 = (fvar(5) >= 1000 && !var(33)) || (power >= 2000 && var(33)) || (var(33) && var(51))
trigger12 = stateno = 1314 && movecontact && movetype = A 
trigger12 = (fvar(5) >= 1000 && !var(33)) || (power >= 2000 && var(33)) || (var(33) && var(51))
;MAX cancels
trigger13 = var(53) 
;---------------------------------------------------------------------------
;182 Shiki
[State -1, 182 Shiki]
type = ChangeState
value = 3100
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(41)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371), var(0) = [1,3]) || (helper(10371), var(1) = [1,3]) 
triggerall = (power >= 1000 || var(51))
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;Special moves cancelable into DMs and SDMs
trigger11 = stateno = 1000 && movecontact && movetype = A 
trigger11 = (fvar(5) >= 1000 && !var(33)) || (power >= 2000 && var(33)) || (var(33) && var(51))
trigger12 = stateno = 1314 && movecontact && movetype = A 
trigger12 = (fvar(5) >= 1000 && !var(33)) || (power >= 2000 && var(33)) || (var(33) && var(51))
;MAX cancels
trigger13 = var(53) 
;---------------------------------------------------------------------------
;R.E.D. KicK
[State -1, R.E.D. KicK]
type = ChangeState
value = 1200
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(23)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371), var(3) = [1,3]) || (helper(10371), var(4) = [1,3]) 
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;MAX cancels
trigger11 = var(53) 
trigger11 = var(50) := 7 && var(51) := var(51)-128
;---------------------------------------------------------------------------
;100 Shiki: Oniyaki
[State -1, 100 Shiki: Oniyaki]
type = ChangeState
value = 1000
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(20)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371), var(0) = [1,3]) || (helper(10371), var(1) = [1,3]) 
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;MAX cancels
trigger11 = var(53) 
trigger11 = var(50) := 7 && var(51) := var(51)-128
;---------------------------------------------------------------------------
;75 Shiki Kai
[State -1, 75 Shiki Kai]
type = ChangeState
value = 1100
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(21)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371), var(3) = [1,3]) || (helper(10371), var(4) = [1,3])
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;MAX cancels
trigger11 = var(53) 
trigger11 = var(50) := 7 && var(51) := var(51)-128
;---------------------------------------------------------------------------
;115 Shiki: Dokugami
[State -1, 115 Shiki: Dokugami]
type = ChangeState
value = 1400
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(21)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371),var(1)=[1,3])&&(helper(10371),fvar(1)<=2)
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;MAX cancels
trigger11 = var(53) && stateno != [1400,1499]
trigger11 = var(50) := 7 && var(51) := var(51)-128
;---------------------------------------------------------------------------
;114 Shiki: Aragami
[State -1, 114 Shiki: Aragami]
type = ChangeState
value = 1300
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(21)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371),var(0)=[1,3])&&(helper(10371),fvar(1)<=2)
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;MAX cancels
trigger11 = var(53) && stateno != [1300,1399]
trigger11 = var(50) := 7 && var(51) := var(51)-128

;108 Shiki: Yami Barai
[State -1, 108 Shiki: Yami Barai]
type = ChangeState
value = 1600
triggerall = numhelper(7000)
triggerall = helper(7000),movetype != A
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(22)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371),var(0)=[1,3])||(helper(10371),var(1)=[1,3]) 
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0

;108 Shiki: Yami Barai
[State -1, 108 Shiki: Yami Barai]
type = ChangeState
value = 1600
triggerall = !numhelper(7000)
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(22)
triggerall = helper(10371), fvar(1)<=2
triggerall = (helper(10371),var(0)=[1,3])||(helper(10371),var(1)=[1,3]) 
triggerall = statetype != A
trigger1 = ctrl || stateno = 101
;Basic cancels
trigger2 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger7 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger8 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
trigger9 = stateno = 980 && animelemtime(5) > 0 && animelemtime(6) < 0
;Command move cancels
trigger10 = stateno = 811 && animelemtime(6) > 0 && animelemtime(7) < 0
;---------------------------------------------------------------------------
;Kung Fu Throw
;??
[State -1, Kung Fu Throw]
type = ChangeState
value = 956
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = (helper(10371),var(4)=[1,3]) 
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = command = "holdfwd" || command = "holdback"
triggerall = var(19) = 0 ; Opponent isn't in guarding state
triggerall = p2stateno != 40 && p2stateno !=52 ; Cannot grab during jump start / jump land
trigger1 = p2bodydist X < 8
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
;---------------------------------------------------------------------------
;Kung Fu Throw
;??
[State -1, Kung Fu Throw]
type = ChangeState
value = 900
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = (helper(10371),var(1)=[1,3]) 
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = command = "holdfwd" || command = "holdback"
triggerall = var(19) = 0 ; Opponent isn't in guarding state
triggerall = p2stateno != 40 && p2stateno !=52 ; Cannot grab during jump start / jump land
trigger1 = p2bodydist X < 8
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100;ifelse(P2Dist x < 0,105,100)
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), command != "holddown"
trigger1 = cond((helper(10371),p2dist x >= 0),(helper(10371), command = "FF"),(helper(10371), command = "BB"))
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = ChangeState
value = 105;ifelse(P2Dist x < 0,100,105)
triggerall = RoundState < 3
triggerall = helper(10371), command != "holddown"
trigger1 = cond((helper(10371),p2dist x >= 0),(helper(10371), command = "BB"),(helper(10371), command = "FF"))
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;Taunt
;??
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = RoundState < 3
triggerall = command = "start"
triggerall = stateno != 195
trigger1 = statetype != A && statetype != C
trigger1 = ctrl
trigger2 = stateno = 101
;--------------------------------------------------------------------------
;MAX
[State -1, MAX]
type = ChangeState
value = 780
triggerall = RoundState < 3
triggerall = !numhelper(70001) && !numhelper(70002)
triggerall = var(33)
triggerall = power >= 1000
triggerall = numhelper(10371)
triggerall = helper(10371), var(15)
triggerall = statetype != A
trigger1 = ctrl || stateno = [100,101]
trigger2 = stateno = [200,980]
trigger2 = movecontact = 1 && power >= 2000
;---------------------------------------------------------------------------
;Roll cancel
[State -1, Roll cancel]
type = ChangeState
value = 751
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(14)
triggerall = Statetype != A || var(40) = 1 && stateno = 820
triggerall = power >= 1000
trigger1 = stateno = [200,599] ;Non aerial basic moves
trigger1 = movecontact
trigger2 = stateno = [600,749] ;Aerial basic moves
trigger2 = movecontact
trigger3 = stateno = [800,899] ;Command moves
trigger3 = movecontact = 1
trigger4 = stateno = 980 ;CD Attack
trigger4 = movecontact = 1
;---------------------------------------------------------------------------
;Air CD Attack
[State -1, Air CD Attack]
type = ChangeState
value = 990
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(16)
triggerall = Statetype != C
trigger1 = Statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;CD Attack Counter
[State -1, CD Attack Counter]
type = ChangeState
value = 981
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(16)
triggerall = helper(10371), command != "holddown"
triggerall = Statetype != A
trigger1 = stateno = 150 && power >= 1000
trigger2 = stateno = 151 && power >= 1000
;---------------------------------------------------------------------------
;CD Attack
[State -1, CD Attack]
type = ChangeState
value = 980
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(16)
triggerall = helper(10371), command != "holddown"
triggerall = Statetype != A
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 101
;---------------------------------------------------------------------------
;Roll 2
[State -1, Roll 2]
type = ChangeState
value = 760
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(14)
triggerall = cond((helper(10371),p2dist x >= 0),(helper(10371), command = "holdback"),(helper(10371), command = "holdfwd"))
triggerall = helper(10371), command != "holddown"
triggerall = Statetype != A
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 150 && power >= 1000
trigger3 = stateno = 151 && power >= 1000
trigger4 = stateno = 101
;---------------------------------------------------------------------------
;Roll 1
[State -1, Roll 1]
type = ChangeState
value = 750
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(14)
triggerall = helper(10371), command != "holddown"
triggerall = Statetype != A
trigger1 = Statetype = S
trigger1 = ctrl
trigger2 = stateno = 150 && power >= 1000
trigger3 = stateno = 151 && power >= 1000
trigger4 = stateno = 101
;---------------------------------------------------------------------------
;88 Shiki
[State -1, 88 Shiki]
type = ChangeState
value = 820
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = command = "holdfwd" && command = "holddown"
;triggerall = cond((helper(10371),p2dist x >= 0),(helper(10371), command = "holdfwd"),(helper(10371), command = "holdback"))
;triggerall = helper(10371), command = "holddown"
triggerall = helper(10371), var(4) = [2,3]
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;Basic cancels
trigger3 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger5 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger7 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger8 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger9 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
;---------------------------------------------------------------------------
;Geshiki: Goufu You [Cancel]
[State -1, Geshiki: Goufu You (Cancel)]
type = ChangeState
value = 811
triggerall = numtarget
triggerall = RoundState < 3
triggerall = !target,hitshakeover
triggerall = numhelper(10371)
triggerall = helper(10371), command != "holddown"
triggerall = command = "holdfwd" 
;triggerall = cond((helper(10371),p2dist x >= 0),(helper(10371), command = "holdfwd"),(helper(10371), command = "holdback"))
triggerall = helper(10371), var(3) = [2,3]
triggerall = Statetype != A
;Basic cancels
trigger1 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger2 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger3 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger4 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger5 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger6 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger7 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
;---------------------------------------------------------------------------
;Geshiki: Goufu You
[State -1, Geshiki: Goufu You]
type = ChangeState
value = 810
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), command != "holddown"
triggerall = command = "holdfwd" 
;triggerall = cond((helper(10371),p2dist x >= 0),(helper(10371), command = "holdfwd"),(helper(10371), command = "holdback"))
triggerall = helper(10371), var(3) = [2,3]
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;Basic cancels
trigger3 = stateno = 205 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger4 = stateno = 215 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger5 = stateno = 305 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger6 = stateno = 315 && animelemtime(3) > 0 && animelemtime(4) < 0
trigger7 = stateno = 400 && animelemtime(2) > 0 && animelemtime(3) < 0
trigger8 = stateno = 405 && animelemtime(4) > 0 && animelemtime(5) < 0
trigger9 = stateno = 505 && animelemtime(5) > 0 && animelemtime(6) < 0
;---------------------------------------------------------------------------
;Geshiki: Naraku Otoshi
[State -1, Geshiki: Naraku Otoshi]
type = ChangeState
value = 800
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), command = "holddown"
triggerall = helper(10371), var(1) = [2,3]
triggerall = Statetype != C
trigger1 = Statetype = A
trigger1 = ctrl
trigger2 = stateno = 106
;---------------------------------------------------------------------------
;J.Light Punch
[State -1, J.Light Punch]
type = ChangeState
value = 600
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(0) = [1,3]
triggerall = Statetype != C
trigger1 = Statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;J.Light Kick
[State -1, J.Light Kick]
type = ChangeState
value = 700
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(3) = [1,3]
triggerall = Statetype != C
trigger1 = Statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;J.Hard Punch
[State -1, J.Hard Punch]
type = ChangeState
value = 610
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(1) = [1,3]
triggerall = Statetype != C
trigger1 = Statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;J.Hard Kick
[State -1, J.Hard Kick]
type = ChangeState
value = 710
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(4) = [1,3]
triggerall = Statetype != C
trigger1 = Statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;C.Light Punch
[State -1, C.Light Punch]
type = ChangeState
value = 400
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), command = "holddown"
triggerall = helper(10371), command != "holdup"
triggerall = helper(10371), var(0) = [1,3]
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;Basic cancels
trigger3 = stateno = 200 && animelemtime(3) > 0
trigger4 = stateno = 205 && animelemtime(3) > 0
trigger5 = stateno = 305 && animelemtime(4) > 0
trigger6 = stateno = 400 && animelemtime(3) > 0
trigger7 = stateno = 500 && animelemtime(4) > 0
;---------------------------------------------------------------------------
;C.Light Kick
[State -1, C.Light Kick]
type = ChangeState
value = 500
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), command = "holddown"
triggerall = helper(10371), command != "holdup"
triggerall = helper(10371), var(3) = [1,3]
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;Basic cancels
trigger3 = stateno = 200 && animelemtime(3) > 0
trigger4 = stateno = 205 && animelemtime(3) > 0
trigger5 = stateno = 305 && animelemtime(4) > 0
trigger6 = stateno = 500 && animelemtime(4) > 0
;---------------------------------------------------------------------------
;C.Hard Punch
[State -1, C.Hard Punch]
type = ChangeState
value = 405
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), command = "holddown"
triggerall = helper(10371), command != "holdup"
triggerall = helper(10371), var(1) = [1,3]
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;---------------------------------------------------------------------------
;C.Hard Kick
[State -1, C.Hard Kick]
type = ChangeState
value = 505
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), command = "holddown"
triggerall = helper(10371), command != "holdup"
triggerall = helper(10371), var(4) = [1,3]
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;---------------------------------------------------------------------------
;Light Punch
[State -1, Light Punch]
type = ChangeState
value = ifelse((p2dist x <= 52),205,200)
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(0) = [1,3]
triggerall = helper(10371), command != "holddown"
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;Basic cancels
trigger3 = stateno = 200 && animelemtime(3) > 0
trigger4 = stateno = 205 && animelemtime(3) > 0
trigger5 = stateno = 305 && animelemtime(4) > 0
trigger6 = stateno = 500 && animelemtime(4) > 0
;---------------------------------------------------------------------------
;Light Kick
[State -1, Light Kick]
type = ChangeState
value = ifelse((p2dist x <= 52),305,300)
triggerall = RoundState < 3
triggerall = numhelper(10371)
triggerall = helper(10371), var(3) = [1,3]
triggerall = helper(10371), command != "holddown"
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;Basic cancels
trigger3 = stateno = 200 && animelemtime(3) > 0
trigger4 = stateno = 205 && animelemtime(3) > 0
trigger5 = stateno = 305 && animelemtime(4) > 0
;---------------------------------------------------------------------------
;Hard Punch
[State -1, Hard Punch]
type = ChangeState
value = ifelse((p2dist x <= 60),215,210)
triggerall = RoundState < 3
triggerall = helper(10371), var(1) = [1,3]
triggerall = helper(10371), command != "holddown"
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101
;---------------------------------------------------------------------------
;Hard Kick
[State -1, Hard Kick]
type = ChangeState
value = ifelse((p2dist x <= 60),315,310)
triggerall = RoundState < 3
triggerall = helper(10371), var(4) = [1,3]
triggerall = helper(10371), command != "holddown"
triggerall = Statetype != A
trigger1 = ctrl
trigger2 = stateno = 101

[statedef 999999]
anim = 1
ctrl=0

[State 10371, BindToRoot]
type = BindToRoot
trigger1 = 1
time = 1
pos = root,Const(size.head.pos.x),root,Const(size.head.pos.y)
ignorehitpause = 1

[State esp]
Type = null
Trigger1 = 0
;-------------------
;MEE Template Files
;   provided by
;  Kitsune Sniper
;       ***
; Thanks, Kitsune!
;-------------------

